# Serengeti-Usplash
#
# Author:   j baer <baerjj@gmail.com>
#
# version:  052161 - Dapper 6.06
#
# Comments: Usplash is really constrainted by the 16
#           color pallet. The causes pixelation of the
#           image at every resolution. As a result
#           the graphics should be clean (no gradients)
#           with some thought to blending.
#
# vga setting to be used in menu.lst 
#
#           vga=785 for standard vga
#           vga=788 for 800x600
#           vga=791 for 1024x768
#           vga=794 for 1280x1024
#

echo Loading Serengeti-Usplash ...
echo
# cp color_640X200-051961.png usplash-artwork.png
# pngtobogl usplash-artwork.png > usplash-artwork.c
# gcc -Os -g -I/usr/include/bogl -fPIC -c usplash-artwork.c -o usplash-artwork.o
# gcc -shared -Wl,-soname,usplash-artwork.so usplash-artwork.o -o serengeti-usplash.so
sudo mkdir -p /usr/local/lib/usplash/
sudo cp serengeti-usplash.so /usr/local/lib/usplash/serengeti-usplash.so

echo
echo Update Usplash Alternatives ...
echo
sudo update-alternatives --install /usr/lib/usplash/usplash-artwork.so usplash-artwork.so /usr/local/lib/usplash/serengeti-usplash.so 55
sudo update-alternatives --config usplash-artwork.so

echo
echo Re-configuring linux-image ...
echo
sudo dpkg-reconfigure linux-image-$(uname -r)

echo
echo Configure grub ...
echo
sudo gedit /boot/grub/menu.lst
